/* Recreate objects script.
 *
 * Generated via Object Desktop Package File 'Object Package'.
 */

/* Register with REXX API extensions. */
Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

parse arg nazione

IF nazione~translate() = 'IT' then
  'copy TMPostit_IT.exe TMPostit.exe'
ELSE
  IF nazione~translate() = 'US' then
    'copy TMPostit_US.exe TMPostit.exe'
  ELSE
  DO
    say "Modalita' d'uso :"
    say "----------------"
    say "Lanciate : install nazione  "
    say "Dove 'nazione' puo' assumere i valori IT o US"
    say
    say "Sintax :"
    say "-------"
    say "Run : install nation  "
    say "Where 'nation' can be 'IT' or 'US'"
    say
    return
  END

CreateCollision = 'Update'

curdir = directory()

Call CreateObjects

Exit

CreateObject: procedure
    Parse Arg Class, Title, Location, Setup, Collision
    Say 'Creating ['Title']'
    rc = SysCreateObject( Class, Title, Location, Setup, Collision )
    If rc <> 1 Then
        Say ' > failed to create ['Title' | 'Class'] at location ['Location']'
    return rc

CreateObjects:

rc = CreateObject( 'WPProgram',,
    'TMPostit',,
    '<WP_DESKTOP>',,
    'NOTDEFAULTICON=YES;'||,
        'NOPRINT=YES;'||,
        'MINWIN=VIEWER;'||,
        'DEFAULTVIEW=RUNNING;'||,
        'ICONPOS=11,92;'||,
        'EXENAME='||curdir||'\TMPOSTIT.EXE;'||,
        'STARTUPDIR='||curdir||';'||,
        'PROGTYPE=PM;'||,
        'OBJECTID=<TMPostit.EXE>',,
    CreateCollision )

return

